MODULE tracegas_parms

  !-----------------------------------------------------------------------------
  !   Backfill by imitating analogous module with name ecosys_parms
  !-----------------------------------------------------------------------------
  !-----------------------------------------------------------------------------
  !   This module manages the parameter variables for the module tracegas_mod.
  !   Most of the variables are not parameters in the Fortran sense. In the
  !   the Fortran sense, they are vanilla module variables.
  !
  !   This modules handles initializing the variables to default values and
  !   reading them from the namelist tracegas_parms. The values used are echoed
  !   to stdout for record keeping purposes.
  !
  !-----------------------------------------------------------------------------
  !-----------------------------------------------------------------------------
  !   variables/subroutines/function used from other modules
  !   The following are used extensively in this tracegas, so are used at
  !   the module level. The use statements for variables that are only needed
  !   locally are located at the module subprogram level.
  !-----------------------------------------------------------------------------

  use exit_mod, ONLY : sigAbort, exit_POP
  use communicate, ONLY : my_task, master_task
  use constants, ONLY : c1
  use kinds_mod

  IMPLICIT NONE

  !-----------------------------------------------------------------------------
  !   public/private declarations
  !   all module variables are public and should have their values preserved
  !-----------------------------------------------------------------------------

  PUBLIC
  SAVE

  !-----------------------------------------------------------------------------
  !   floating point constants used across tracegas module
  !-----------------------------------------------------------------------------

  !*****************************************************************************

CONTAINS

  !*****************************************************************************

  SUBROUTINE tracegas_parms_init

    use io_types, ONLY : stdout, nml_in, nml_filename
    use broadcast, ONLY : broadcast_scalar

    !---------------------------------------------------------------------------
    !   local variables
    !---------------------------------------------------------------------------

    CHARACTER(LEN=*), PARAMETER :: subname = 'tracegas_parms:tracegas_parms_init'

    integer(int_kind) :: &
      nml_error          ! namelist error flag

    CHARACTER(LEN=char_len) :: mmessage

    !---------------------------------------------------------------------------
    !   default namelist settings
    !---------------------------------------------------------------------------

    !---------------------------------------------------------------------------

  END SUBROUTINE tracegas_parms_init

  !*****************************************************************************

END MODULE tracegas_parms
